ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

CmmLive

Synopsis

- type CmmLocalLive = CmmLive LocalReg
- cmmLocalLiveness :: DynFlags -> CmmGraph -> BlockEntryLiveness LocalReg
- cmmGlobalLiveness :: DynFlags -> CmmGraph -> BlockEntryLiveness GlobalReg
- liveLattice :: Ord r => DataflowLattice (CmmLive r)
- gen_kill :: (DefinerOfRegs r n, UserOfRegs r n) => DynFlags -> n -> CmmLive r -> CmmLive r

# Documentation

type CmmLocalLive = CmmLive LocalReg #

cmmLocalLiveness :: DynFlags -> CmmGraph -> BlockEntryLiveness LocalReg #

Calculated liveness info for a CmmGraph

cmmGlobalLiveness :: DynFlags -> CmmGraph -> BlockEntryLiveness GlobalReg #

liveLattice :: Ord r => DataflowLattice (CmmLive r) #

The dataflow lattice

gen_kill :: (DefinerOfRegs r n, UserOfRegs r n) => DynFlags -> n -> CmmLive r -> CmmLive r #